version: '3'

services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    command: python ceetutor/manage.py runserver 0.0.0.0:8000
    restart: always
    environment:
      - DB_NAME=postgres
      - DB_USER=postgres
      - DB_HOST=db
      - DB_PASSWORD=ceetutor@123
      - DB_PORT=5432
      - EMAIL_HOST=smtp.gmail.com
      - EMAIL_PORT=587
      - EMAIL_USE_TLS=True
      - EMAIL_HOST_USER=lea.tuan021211@gmail.com
      - EMAIL_HOST_PASSWORD=mjwvoqrvmqllmcnj
      - ROOT_SRC=ceetutor
    volumes:
      - .:/code
    ports:
      - "8000:8000"
    depends_on:
      - db
  db:
    image: postgres
    restart: always
    environment:
      POSTGRES_PASSWORD: ceetutor@123
